unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs,
  TAGraph, TAFuncSeries, TASeries, TASources;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1BarSeries1: TBarSeries;
    Chart1FitSeries1: TFitSeries;
    ListChartSource1: TListChartSource;
    procedure Chart1FitSeries1FitComplete(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  LazVersion, TACustomSource, TALegend, TAFitUtils;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  // Daten in einer ListChartSource eintragen. So kann man sie am einfachsen
  // in zwei Series verwenden.
  ListChartSource1.Add(1, 50);
  ListChartSource1.Add(2, 5);
  ListChartSource1.Add(3, 15);
  ListChartSource1.Add(4, 35);
  ListChartSource1.Add(5, 60);
  ListChartSource1.Add(6, 5);

  // Die folgenden Punkte kann man auch im Object-Inspektor einstellen:

  // Der Bar- und Fitseries die Daten zuweisen
  Chart1BarSeries1.Source := ListChartSource1;
  Chart1FitSeries1.Source := ListChartSource1;

  // Linearen Fit auswählen
  Chart1FitSeries1.FitEquation := feLinear;

  // Standard-Properties
  Chart1BarSeries1.Title := 'Data';
  Chart1FitSeries1.Pen.Color := clSkyBlue;   // Farbe der Fit-Linie
  Chart1FitSeries1.Pen.Width := 3;           // ... und Breite

  // Fit-Series vor den Balken zeichnen
  Chart1FitSeries1.ZPosition := 1;

  //Achsen-Titel
  Chart1.BottomAxis.Title.Caption := 'x';
  Chart1.BottomAxis.Title.Visible := true;
  Chart1.LeftAxis.Title.Caption := 'y';
  Chart1.LeftAxis.Title.Visible := true;

  // x-Achsenbeschriftung mit gebrochenen Zahlen vermeiden
  {$IF Laz_FullVersion >= 3000000}
  Chart1.BottomAxis.Intervals.Options := Chart1.BottomAxis.Intervals.Options + [aipInteger];
  {$ELSE}
  Chart1.BottomAxis.Intervals.MaxLength := 120;;
  {$ENDIF}

  // Legende positionieren
  Chart1.Legend.Alignment := laBottomCenter;
end;

procedure TForm1.Chart1FitSeries1FitComplete(Sender: TObject);
begin
  Chart1FitSeries1.Title := 'Linear Fit ' + Chart1FitSeries1.EquationText.Get;
end;

end.

